%define srcname ktp-call-ui
%define rel 1

Name:           telepathy-kde-call-ui
Summary:        Voice/Video Call UI for Telepathy
Version: 16.12.3
Release:        %mkrel %{rel}
License:        GPLv2+
Group:          Graphical desktop/KDE
Url:            https://projects.kde.org/projects/playground/network/telepathy/ktp-call-ui
Source0:        http://download.kde.org/stable/kde-telepathy/%{version}/src/%{srcname}.tar.bz2

BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5GStreamer-1.0)

BuildRequires:  pkgconfig(TelepathyQt5)
BuildRequires:  telepathy-kde-common-internals-devel >= %{version}
BuildRequires:  boost-devel
BuildRequires:  telepathy-logger-qt5-devel

BuildRequires:  kf5-macros
BuildRequires:  kdeclarative-devel
BuildRequires:  kiconthemes-devel
BuildRequires:  ki18n-devel
BuildRequires:  knotifications-devel
BuildRequires:  kxmlgui-devel
BuildRequires:  kcmutils-devel
BuildRequires:  phonon4qt5-devel

Requires:       telepathy-mission-control
Requires:       telepathy-gabble
#Requires:      gstreamer0.10-plugins-base
#Requires:      gstreamer0.10-plugins-good
#Recommends:    gstreamer0.10-plugins-bad
Recommends:     telepathy-kde-accounts-kcm >= %{version}

Obsoletes:      telepathy-call-ui < 0.3

%description
Voice/Video Call UI for Telepathy.

%files 
%_kf5_bindir/ktp-dialout-ui
%_libexecdir/ktp-call-ui
%_kf5_datadir/ktp-call-ui
%_kf5_datadir/kxmlgui5/ktp-call-ui
%_kf5_datadir/telepathy/clients/KTp.CallUi.client
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.Client.KTp.CallUi.service

#--------------------------------------------------------------------

%prep
%setup -q -n %{srcname}
%autopatch -p1

%build
%cmake_kf5
%make_build

%install
%make_install -C build


%changelog
* Wed Mar 08 2017 neoclust <neoclust> 16.12.3-1.mga6
+ Revision: 1090187
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 16.12.0-1.mga6
+ Revision: 1076929
- New version 16.12.0

* Sun Dec 04 2016 neoclust <neoclust> 16.11.90-1.mga6
+ Revision: 1072119
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 16.08.3-1.mga6
+ Revision: 1067436
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 16.08.2-1.mga6
+ Revision: 1061500
- New version 16.08.2

* Thu Sep 08 2016 neoclust <neoclust> 16.08.1-1.mga6
+ Revision: 1050763
- New version 16.08.1

* Tue Aug 30 2016 neoclust <neoclust> 16.08.0-1.mga6
+ Revision: 1049456
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 16.04.3-1.mga6
+ Revision: 1040166
- New version 16.04.3
- New version 16.04.2

* Thu May 12 2016 neoclust <neoclust> 16.04.1-1.mga6
+ Revision: 1014300
- New version 16.04.1

* Wed Apr 27 2016 neoclust <neoclust> 16.04.0-1.mga6
+ Revision: 1006721
- New version 16.04.0

* Sun Apr 03 2016 neoclust <neoclust> 16.03.80-1.mga6
+ Revision: 998049
- New version 16.03.80

* Wed Mar 16 2016 neoclust <neoclust> 15.12.3-1.mga6
+ Revision: 991279
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 15.12.2-1.mga6
+ Revision: 987559
- New version 15.12.2

* Wed Jan 13 2016 neoclust <neoclust> 15.12.1-1.mga6
+ Revision: 922721
- New version 15.12.1
- New version 15.12.0

* Sun Nov 29 2015 neoclust <neoclust> 15.11.80-2.mga6
+ Revision: 907205
- Fix typo in requires

* Mon Nov 23 2015 neoclust <neoclust> 15.11.80-1.mga6
+ Revision: 905446
- New version 15.11.80

* Tue Nov 10 2015 neoclust <neoclust> 15.08.3-1.mga6
+ Revision: 901182
- New version 15.08.3

* Fri Oct 30 2015 neoclust <neoclust> 15.08.2-1.mga6
+ Revision: 896598
- New version 15.08.2
- New version 15.08.1
- New version 15.08.0
- Plasma Mass Rebuild - Rebuild for new kf5-macros
- New version 15.07.90
- New version 15.07.80

* Sun Jun 21 2015 luigiwalser <luigiwalser> 0.9.0-2.mga6
+ Revision: 838501
- rebuild for new farstream

* Fri Feb 06 2015 lmenut <lmenut> 0.9.0-1.mga5
+ Revision: 813746
- Update to 0.9.0

* Wed Oct 15 2014 umeabot <umeabot> 0.8.1-3.mga5
+ Revision: 750594
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.8.1-2.mga5
+ Revision: 689798
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Mon Aug 25 2014 lmenut <lmenut> 0.8.1-1.mga5
+ Revision: 667402
- Update to 0.8.1
- add upstream patch from kde-telepathy-0.8 branch

* Sun Mar 16 2014 fwang <fwang> 0.8.0-1.mga5
+ Revision: 604104
- 0.8.0

* Sun Feb 23 2014 fwang <fwang> 0.7.80-1.mga5
+ Revision: 595814
- update tarball
- 0.7.80

* Mon Nov 04 2013 lmenut <lmenut> 0.7.0-1.mga5
+ Revision: 549307
- Update to 0.7.0

* Mon Oct 21 2013 umeabot <umeabot> 0.7-0.beta1.2.mga4
+ Revision: 540877
- Mageia 4 Mass Rebuild

* Tue Oct 08 2013 mikala <mikala> 0.7-0.beta1.1.mga4
+ Revision: 493001
- Update tarball to 0.6.80

* Wed Aug 14 2013 fwang <fwang> 0.6.3-1.mga4
+ Revision: 466277
- new version 0.6.3

* Tue May 28 2013 mikala <mikala> 0.6.2-1.mga4
+ Revision: 429047
- Update tarball to 0.6.2

* Wed Apr 03 2013 mikala <mikala> 0.6.0-1.mga3
+ Revision: 407386
- Update tarball to 0.6.0

* Wed Mar 13 2013 neoclust <neoclust> 0.5.80-1.mga3
+ Revision: 402385
- New version

* Wed Feb 20 2013 mikala <mikala> 0.5.3-1.mga3
+ Revision: 399546
- Update tarball to 0.5.3

* Mon Jan 14 2013 umeabot <umeabot> 0.5.2-2.mga3
+ Revision: 384257
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 18 2012 mikala <mikala> 0.5.2-1.mga3
+ Revision: 332472
- Update tarball to 0.5.2
- Drop patch0 (merged)

* Tue Oct 16 2012 mikala <mikala> 0.5.1-1.mga3
+ Revision: 306886
- Update tarball to 0.5.1

* Wed Aug 29 2012 mikala <mikala> 0.5.0-1.mga3
+ Revision: 285433
- Update tarball to 0.5.0
- Add patch0 to fix build
- use pkgconfig() for BR
- remove useless provide

* Tue Jul 17 2012 neoclust <neoclust> 0.4.0-1.mga3
+ Revision: 271796
- New version 0.4.0

* Thu Apr 12 2012 mikala <mikala> 0.3-0.git20120411.1.mga2
+ Revision: 230506
- Rename package to telepathy-kde-call-ui
- Rename spec
- Rename package to telepathy-kde-call-ui
- Obsolete telepathy-call-ui
- Fix files list
- Fix BuildRequires
- Update git snapshot

  + fwang <fwang>
    - update telepathy br

* Fri Jun 24 2011 dmorgan <dmorgan> 0.0-0.git20110624.1.mga2
+ Revision: 113031
- New snapshot

* Sat Apr 16 2011 wally <wally> 0.0-0.git20110127.2.mga1
+ Revision: 86144
- fix gstreamer package names in requires/suggests

* Sat Apr 16 2011 ahmad <ahmad> 0.0-0.git20110127.1.mga1
+ Revision: 86127
- imported package telepathy-call-ui

